## cervisia 17.08.3

=== debian/changelog ===
cervisia (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879295)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove breaks/replaces in cervisia against older versions of cvsservice:
    cervisia already requires the very same version of cvsservice.
  * Rename the local cvsservice man page to cvsservice5.
  * Move few cvsaskpass bits from cervisia to cvsservice, where the rest of it
    is already; add proper breaks/replaces.
  * Update lintian overrides.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 09:21:23 +0100

cervisia (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update install files
  * Update lintian-override
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:04 +0200

cervisia (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:11 +0000

cervisia (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:23 +0000

cervisia (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:52 +0000

cervisia (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:14 +0000

cervisia (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:25 +0000

cervisia (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:12 +0000

cervisia (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:55 +0000

cervisia (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:44 +0000

cervisia (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:09 +0000

cervisia (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:10 +0000

cervisia (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:13 +0000

cervisia (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:57 +0000

cervisia (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:01 +0000

cervisia (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:38 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## cervisia 17.12.2

=== debian/changelog ===
cervisia (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:46 +0000

cervisia (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Desktop file renamed. Update install files.
  * New upstream release (17.08.3)
  * Wildcard HTML docs path to install all built languages.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:10 +0000

## cervisia 17.12.3

=== debian/changelog ===
cervisia (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:41 +0000

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5su-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: libcvsservice0, ${kde-l10n:all}
Breaks: libcvsservice0, ${kde-l10n:all}
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cervisia-([\d.]+).tar.xz

## cervisia 18.04.3

=== debian/changelog ===
cervisia (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.31.0~),
                libkf5su-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>= 0.12),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia

## cervisia 18.08.3

=== debian/changelog ===
cervisia (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/not-installed: Update to format required by dh_missing.
    - d/control: Breaks/Replaces versions for Kubuntu upload history.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 31 Dec 2018 10:37:55 +0000

## cervisia 18.12.0

=== debian/changelog ===
cervisia (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:21 +0000

## cervisia 18.12.1

=== debian/changelog ===
cervisia (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:39 +0000

## cervisia 18.12.2

=== debian/changelog ===
cervisia (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:02 +0000

## cervisia 18.12.3

=== debian/changelog ===
cervisia (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:35 +0000

## cervisia 19.04.0

=== debian/changelog ===
cervisia (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:40 +0100

## cervisia 19.04.1

=== debian/changelog ===
cervisia (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:20 +0100

## cervisia 19.04.2

=== debian/changelog ===
cervisia (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:58:43 +0100

## cervisia 19.04.3

=== debian/changelog ===
cervisia (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:16 +0100

## cervisia 19.08.3

=== debian/changelog ===
cervisia (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:22 +0000

## cervisia 19.12.0

=== debian/changelog ===
cervisia (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:30 +0000

## cervisia 19.12.1

=== debian/changelog ===
cervisia (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.6~),
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                kinit-dev (>= 5.31.0~),
@@ -20,7 +19,8 @@
                libkf5su-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.2.0~),
+Standards-Version: 4.1.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
@@ -28,7 +28,7 @@
 Package: cervisia
 Architecture: any
 Section: devel
-Depends: cvsservice, ${misc:Depends}, ${shlibs:Depends}
+Depends: cvsservice (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
@@ -47,8 +47,8 @@
 Architecture: any
 Section: vcs
 Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
-Replaces: libcvsservice0, ${kde-l10n:all}
-Breaks: libcvsservice0, ${kde-l10n:all}
+Replaces: libcvsservice0, cervisia (<< 4:18.08.3~), ${kde-l10n:all}
+Breaks: libcvsservice0, cervisia (<< 4:18.08.3~), ${kde-l10n:all}
 Description: D-Bus service for accessing CVS repositories
  This package provides a D-Bus service for browsing and manipulating
  remote CVS repositories.  Applications may make use of it directly from

## cervisia 19.12.2

=== debian/changelog ===
cervisia (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.5
  * Switch Vcs-* URLs to Salsa.
  * Update upstream project homepage URL.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Switch from dhmk to dh --with kf5, bump compatibility level to 12.
  * Add hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Review debian/copyright.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Feb 2020 12:25:39 +0100

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5su-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/development/org.kde.cervisia
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cervisia
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cervisia.git
Rules-Requires-Root: no

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: libcvsservice0, cervisia (<< 4:17.08.3-1~)
Breaks: libcvsservice0, cervisia (<< 4:17.08.3-1~)
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

## cervisia 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(cervisia VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="cervisia")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(ECMSetupVersion)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX CERVISIA VERSION_HEADER cervisia_version.h)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)

find_package(KF5 REQUIRED COMPONENTS Parts DocTools Init IconThemes Notifications WidgetsAddons ItemViews Su)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory( doc )
add_subdirectory( cvsservice )
add_subdirectory( pics )

set(_KDECONFDIR_ ${CONFIG_INSTALL_DIR})
set(_KDEHTMLDIR_ ${HTML_INSTALL_DIR})

########### next target ###############

set(libcervisia_SRCS
   annotatedialog.cpp
   diffdialog.cpp
   patchoptiondialog.cpp
   logdialog.cpp
   progressdialog.cpp
   resolvedialog.cpp
   resolvedialog_p.cpp
   annotateview.cpp
   diffview.cpp
   loglist.cpp
   logplainview.cpp
   logtree.cpp
   annotatecontroller.cpp
   loginfo.cpp
   misc.cpp
   qttableview.cpp
   tooltip.cpp
   settingsdialog.cpp
   debug.cpp
   )

qt5_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsservice.xml )
qt5_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsjob.xml )
qt5_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsloginjob.xml )
qt5_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.repository.xml )


ki18n_wrap_ui(libcervisia_SRCS settingsdialog_advanced.ui )

kconfig_add_kcfg_files(libcervisia_SRCS cervisiasettings.kcfgc )


set(cervisia_KDEINIT_SRCS ${libcervisia_SRCS}
   main.cpp
   cervisiashell.cpp )

kf5_add_kdeinit_executable(cervisia ${cervisia_KDEINIT_SRCS})

target_link_libraries(kdeinit_cervisia KF5::Parts KF5::ItemViews)

install(TARGETS kdeinit_cervisia ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(TARGETS cervisia  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(cervisiapart_PART_SRCS ${libcervisia_SRCS}
   updateview.cpp
   protocolview.cpp
   watchdialog.cpp
   changelogdialog.cpp
   historydialog.cpp
   repositorydialog.cpp
   commitdialog.cpp
   checkoutdialog.cpp
   updatedialog.cpp
   tagdialog.cpp
   mergedialog.cpp
   cvsdir.cpp
   repositories.cpp
   cervisiapart.cpp
   addrepositorydialog.cpp
   addremovedialog.cpp
   watchersdialog.cpp
   watchersmodel.cpp
   updateview_items.cpp
   updateview_visitors.cpp
   entry.cpp
   entry_status.cpp
   stringmatcher.cpp
   cvsinitdialog.cpp
   ignorelistbase.cpp
   dirignorelist.cpp
   globalignorelist.cpp
   addignoremenu.cpp
   editwithmenu.cpp
   logmessageedit.cpp
   debug.cpp
)


qt5_add_dbus_adaptor(cervisiapart_PART_SRCS org.kde.cervisia5.protocolview.xml protocolview.h ProtocolView)

add_library(cervisiapart5 MODULE ${cervisiapart_PART_SRCS})

target_link_libraries(cervisiapart5 KF5::Parts KF5::Notifications KF5::ItemViews)

install(TARGETS cervisiapart5  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############


########### install files ###############

install(PROGRAMS org.kde.cervisia.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES org.kde.cervisia.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR} )
install(FILES org.kde.cervisiapart5.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES cervisiapart.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install(FILES cervisiaui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cervisiapart )
install(FILES cervisiashellui.rc DESTINATION  ${KXMLGUI_INSTALL_DIR}/cervisia )
install(FILES cervisia.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )

ecm_install_icons(ICONS
    16-apps-cervisia.png
    22-apps-cervisia.png
    32-apps-cervisia.png
    48-apps-cervisia.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
cervisia (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:04:21 +0000

cervisia (4:19.12.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Version Breaks/Replaces on libcvsservice0 and cervisia to
        suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:17:21 +0000

cervisia (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:07 +0000

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,8 @@
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/development/org.kde.cervisia
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cervisia
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cervisia.git
-Rules-Requires-Root: no
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
 
 Package: cervisia
 Architecture: any
@@ -46,8 +45,8 @@
 Architecture: any
 Section: vcs
 Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
-Replaces: libcvsservice0, cervisia (<< 4:17.08.3-1~)
-Breaks: libcvsservice0, cervisia (<< 4:17.08.3-1~)
+Replaces: libcvsservice0, cervisia (<< 4:18.08.3~)
+Breaks: libcvsservice0, cervisia (<< 4:18.08.3~)
 Description: D-Bus service for accessing CVS repositories
  This package provides a D-Bus service for browsing and manipulating
  remote CVS repositories.  Applications may make use of it directly from

## cervisia 20.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(cervisia VERSION ${KDE_APPLICATIONS_VERSION})
+project(cervisia VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.2.0")
 
@@ -24,7 +24,7 @@
 include(FeatureSummary)
 include(ECMSetupVersion)
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX CERVISIA VERSION_HEADER cervisia_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX CERVISIA VERSION_HEADER cervisia_version.h)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)

=== debian/changelog ===
cervisia (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:18:08 +0100

## cervisia 20.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:31:19 +0100

## cervisia 20.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})
@@ -29,9 +29,6 @@
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)
 
 find_package(KF5 REQUIRED COMPONENTS Parts DocTools Init IconThemes Notifications WidgetsAddons ItemViews Su)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
 
 add_subdirectory( doc )
 add_subdirectory( cvsservice )

=== debian/changelog ===
cervisia (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Bump debhelper compatibility level to 13.
  * Adapt lintian overrides following tag renames.
  * Add Bug-* URLs to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 15 Jun 2020 09:12:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.3.0~),
                kinit-dev,
                libkf5config-dev,
@@ -22,8 +22,9 @@
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/development/org.kde.cervisia
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cervisia
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cervisia.git
+Rules-Requires-Root: no
 
 Package: cervisia
 Architecture: any
@@ -45,8 +46,8 @@
 Architecture: any
 Section: vcs
 Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
-Replaces: libcvsservice0, cervisia (<< 4:18.08.3~)
-Breaks: libcvsservice0, cervisia (<< 4:18.08.3~)
+Replaces: libcvsservice0, cervisia (<< 4:17.08.3-1~)
+Breaks: libcvsservice0, cervisia (<< 4:17.08.3-1~)
 Description: D-Bus service for accessing CVS repositories
  This package provides a D-Bus service for browsing and manipulating
  remote CVS repositories.  Applications may make use of it directly from

## cervisia 20.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:33:26 +0100

## cervisia 20.08.0

=== debian/changelog ===
cervisia (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:41 +0100

## cervisia 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:30 +0100

## cervisia 20.08.3

=== debian/changelog ===
cervisia (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:47:03 +0000

## cervisia 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:20.12.0-2) unstable; urgency=medium

  * Team upload.

  [ Hideki Yamane ]
  * Fix dependency to exec without whole KDE environment (Closes: #980466)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Jun 2021 22:55:59 +0200

cervisia (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Drop overrides for removed lintian tag postinst-must-call-ldconfig.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update project hompage.
  * Refresh upstream metadata:
    - simplify Bug-Database URL
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Dec 2020 15:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
                libkf5widgetsaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/development/org.kde.cervisia
+Standards-Version: 4.5.1
+Homepage: https://apps.kde.org/en/cervisia
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cervisia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cervisia.git
 Rules-Requires-Root: no
@@ -29,7 +29,8 @@
 Package: cervisia
 Architecture: any
 Section: devel
-Depends: cvsservice (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: cvsservice (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+         kinit,
 Suggests: khelpcenter
 Description: graphical CVS client
  Cervisia is a front-end for the CVS version control system client.

## cervisia 20.12.1

=== debian/changelog ===
cervisia (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:07:08 +0000

## cervisia 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:19 +0000

## cervisia 20.12.3

=== debian/changelog ===
cervisia (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:55 +0000

## cervisia 21.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:13 +0100

## cervisia 21.04.1

=== debian/changelog ===
cervisia (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:32 +0100

## cervisia 21.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:35 +0100

## cervisia 21.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:24 +0100

## cervisia 21.07.80

=== debian/changelog ===
cervisia (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:12 +0100

## cervisia 21.07.90

=== debian/changelog ===
cervisia (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:59 +0100

## cervisia 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})
@@ -28,7 +28,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)
 
-find_package(KF5 REQUIRED COMPONENTS Parts DocTools Init IconThemes Notifications WidgetsAddons ItemViews Su)
+find_package(KF5 REQUIRED COMPONENTS I18n Parts DocTools Init IconThemes Notifications WidgetsAddons ItemViews Su TextWidgets)
 
 add_subdirectory( doc )
 add_subdirectory( cvsservice )
@@ -78,7 +78,7 @@
 
 kf5_add_kdeinit_executable(cervisia ${cervisia_KDEINIT_SRCS})
 
-target_link_libraries(kdeinit_cervisia KF5::Parts KF5::ItemViews)
+target_link_libraries(kdeinit_cervisia KF5::I18n KF5::TextWidgets KF5::Parts KF5::ItemViews)
 
 install(TARGETS kdeinit_cervisia ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
@@ -125,7 +125,7 @@
 
 add_library(cervisiapart5 MODULE ${cervisiapart_PART_SRCS})
 
-target_link_libraries(cervisiapart5 KF5::Parts KF5::Notifications KF5::ItemViews)
+target_link_libraries(cervisiapart5 KF5::I18n KF5::TextWidgets KF5::Parts KF5::Notifications KF5::ItemViews)
 
 install(TARGETS cervisiapart5  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
cervisia (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:36 +0100

## cervisia 21.08.1

=== debian/changelog ===
cervisia (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:36 +0100

## cervisia 21.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:51 +0000

## cervisia 21.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:19 +0000

## cervisia 21.11.90

=== debian/changelog ===
cervisia (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:38 +0000

## cervisia 21.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:02 +0000

cervisia (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:29 +0000

## cervisia 21.12.1

=== debian/changelog ===
cervisia (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:16 +0000

## cervisia 21.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:22 +0000

## cervisia 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 14:27:36 +0100

cervisia (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:43:44 +0900

cervisia (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:44:50 +0900

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5su-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/cervisia
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cervisia
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cervisia.git
Rules-Requires-Root: no

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice (= ${binary:Version}),
         kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: cervisia (<< 4:17.08.3-1~), libcvsservice0
Breaks: cervisia (<< 4:17.08.3-1~), libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

## cervisia 22.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:09 +0100

cervisia (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:52 +0000

## cervisia 22.04.1

=== debian/changelog ===
cervisia (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:21 +0100

## cervisia 22.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:33 +0100

## cervisia 22.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cervisia (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:58 +0100

## cervisia 22.08.0

=== debian/changelog ===
cervisia (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:46 +0100
